Name: ca_TERENA-SSL-CA
Version: 1.56
Release: 1
Source: ca_TERENA-SSL-CA-1.56.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
#BuildRequires: openssl
AutoReqProv: no
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%define GSI_CA_NAME  %(tar xOfz %{SOURCE0} ca_TERENA-SSL-CA-1.56/9df51c42.0 | openssl x509 -noout -subject |sed 's#^.*/CN=##')

Summary: Trust anchors for  unaccredited authority TERENA-SSL-CA

%if %([ -n "http://www.terena.org/activities/tcs/" ] && echo 1 || echo 0)
URL: http://www.terena.org/activities/tcs/
%endif

%if %([ -n "ca_UTN-USERFirst-Hardware = 1.56" ] && echo 1 || echo 0)
Requires: ca_UTN-USERFirst-Hardware = 1.56
%endif

%prep
%setup -n ca_TERENA-SSL-CA-1.56

%description
This is the trust anchor for the  unaccredited authority TERENA-SSL-CA.
You should install this package if you want to trust the identity 
assertions issued by the %{GSI_CA_NAME}.
Several instances of this package, corresponding to different CA's, can 
be installed simultaneously on the same system. 

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr * $RPM_BUILD_ROOT/etc/grid-security/certificates/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/grid-security/certificates/

